Skip to main content
GET
List summaries

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

table_id
string
required

The id of the table to retrieve summaries from.

Query Parameters

limit
integer
default:500

The limit on the number of objects to return, ranging between 1 and 1000.

Required range: 1 <= x <= 1000
next
string

A cursor to use in pagination to continue a query from the previous request. This is automatically added when the request has more results to fetch.

record_type
enum<string>
default:row

Which summary variant to return. row (default) returns one summary per source row. table returns the single table-level summary. Matches record_type on each Summary in the response.

Available options:
row,
table

Response

List of summaries

object
enum<string>
required
Available options:
list
data
object[]
required

An array containing the actual response elements, paginated by any request parameters.

cursor
string

The stable cursor to use to get the next page of summaries.

has_more
boolean

Whether or not there are more elements available after this set. If false, this set comprises the end of the list.